---

- name: install common packages
  include_tasks: install_common.yml

- name: install Red Hat packages
  include_tasks: install_RHEL.yml
  when: ansible_os_family | lower == 'redhat'

- name: install Debian packages
  include_tasks: install_DEBIAN.yml
  when: ansible_os_family | lower == 'debian'

- name: install virtualenv
  ansible.builtin.include_role:
    name: orange.infra.virtualenv

- name: install needed python packages
  become: true
  ansible.builtin.pip:
    name: "{{ hardening_python_packages }}"
    state: present
    extra_args: "--index-url {{ python_pip_repository }}"
  vars:
    ansible_python_interpreter: "{{ pyvenv }}"
